curl --location 'https://api.kie.ai/api/v1/jobs/createTask' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "google/gemini-2-5-pro-tts",
"callBackUrl": "https://your-domain.com/api/callback",
"input": {
"temperature": 1,
"scene": "A dark, crumbling dungeon...",
"sample_context": "Fantasy RPG style...",
"speakers": [
{
"speaker_id": "Speaker 1",
"voice_name": "Fenrir",
"audio_profile": "A stern and weary gatekeeper",
"accent": "British (RP)",
"style": "Deadpan",
"pace": "Natural"
},
{
"speaker_id": "Speaker 2",
"voice_name": "Puck",
"audio_profile": "A determined and courageous traveler seeking answers.",
"accent": "American (Gen)",
"style": "Empathetic",
"pace": "Staccato"
}
],
"dialogue_turns": [
{
"speaker_id": "Speaker 1",
"text": "[shouting] Halt, traveler! The northern pass is sealed by order of the council."
},
{
"speaker_id": "Speaker 2",
"text": "[determination] I carry a message for the elder. Step aside, or I will force my way through."
},
{
"speaker_id": "Speaker 1",
"text": "[caution] No one passes. [pensive] The elder is... he'\''s no longer receiving visitors."
},
{
"speaker_id": "Speaker 2",
"text": "It'\''s too late. [whispers] The shadow... it reached him first. [urgency] You need to leave. [shouting] Now."
}
]
}
}'